part of '../flutterx_live_data.dart';

abstract class SelfLiveData<T extends SelfLiveData<T>> extends LiveData<T> {
  SelfLiveData() {
    super.setData(this as T);
  }

  @override
  @nonVirtual
  bool shouldUpdateValue(T oldValue, T newValue) => false;

  @override
  void setData(T value) => throw UnsupportedError('cannot set this instance');
}
